Package icyllis.modernui.graphics

# Enum Class Paint.Join

java.lang.Object
java.lang.Enum<Paint.Join>
icyllis.modernui.graphics.Paint.Join

All Implemented Interfaces:
  `Serializable`, `Comparable<Paint.Join>`, `Constable`

Enclosing class:
  `Paint`

public static enum Paint.Join extends Enum<Paint.Join>
The `Join` specifies the treatment where lines and curve segments join on a stroked path. The default is `ROUND`.

`Join` affects the four corners of a stroked rectangle, and the connected segments in a stroked path.

Choose miter join to draw sharp corners. Choose round join to draw a circle with a radius equal to the stroke width on top of the corner. Choose bevel join to minimally connect the thick strokes.

The fill path constructed to describe the stroked path respects the join setting but may not contain the actual join. For instance, a fill path constructed with round joins does not necessarily include circles at each connected segment.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BEVEL`
  The outer edges of a join meet with a straight line
  `MITER`
  The outer edges of a join meet at a sharp angle
  `ROUND`
  The outer edges of a join meet in a circular arc.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Paint.Join`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Paint.Join[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MITER

    public static final Paint.Join MITER
    The outer edges of a join meet at a sharp angle

  - ### ROUND

    public static final Paint.Join ROUND
    The outer edges of a join meet in a circular arc.

  - ### BEVEL

    public static final Paint.Join BEVEL
    The outer edges of a join meet with a straight line

- ## Method Details

  - ### values

    public static Paint.Join[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Paint.Join valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null